import React from 'react';
import { Link } from 'react-router-dom';
import { Card, Row, Col, Icon, Button, Table, message,Breadcrumb,Layout } from 'antd';
import Fetch from '../fetch';
const { Column } = Table;


export default class ActivitiDetail extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: true,
      tableData: [],
    };
  }

  componentDidMount() {
    const deploymentId = this.props.location.state.deploymentId;
    let _this = this;
    _this.setState({ loading: true });
    Fetch.getProcessDefinition({
      deploymentId
    }).then( res => {
      console.log(res)
      let tmpArr = [];
      res.map(e => {
        let obj = {
          key: e.id,
          _key:e.key, 
          id:e.id,
          version:e.version,
          status:e.status,
          name: e.name, 
          createTime: e.createTime,
        }
        tmpArr.push(obj)
      })
      this.setState({
        tableData: tmpArr,
        loading: false,
      });
    })
  }

  render() {
    return (
      <Layout className="h-100 page-table">
        <Row>
          <Breadcrumb className="breadcrumb-style">
            <Breadcrumb.Item>工作流管理</Breadcrumb.Item>
            <Breadcrumb.Item>流程部署管理</Breadcrumb.Item>
            <Breadcrumb.Item>详情</Breadcrumb.Item>
          </Breadcrumb>
        </Row>
        <Card style={{border:20, margin:20, padding:20}}>
        <Row>
        <Link to="/activitiManage/deploy"><Button type="default">返回</Button></Link>
        </Row>
          <Row>
            <Table dataSource={this.state.tableData} pagination={false}>
              <Column
                title="流程KEY"
                dataIndex="_key"
                key="_key"
              />
              <Column
                title="流程名称"
                dataIndex="name"
                key="name"
              />
              <Column
                title="流程版本"
                dataIndex="version"
                key="version"
              />
              <Column
                title="当前状态"
                dataIndex="status"
                key="status"
                render={(text, record) => text?"运行":"挂起"}
              />
              <Column
                title="操作"
                key="action"
                render={(text, record) => (
                  <span>
                    <Link to={{ pathname: "/activitiManage/activitiImg", state: { id: record.id} }}>流程图</Link>
                  </span>
                )}
              />
            </Table>

          </Row>
        </Card>
      </Layout>
    )
  } 
}
